clear all

run processing.m

%%% -   Explaination    -   %%%
% Calculate performance indicators
%%%     %%%     %%%     %%%

%Bias: 
b1_ind = sqrt(sum((bias_surge(1:end-1)-mean(Fx)).^2)/(mean(Fx)*T)^2);
b2_ind = sqrt(sum((bias_sway(1:end-1)-mean(Fy)).^2)/(mean(Fy)*T)^2);
b3_ind = sqrt(sum((bias_yaw(1:end-1)-mean(Mz)).^2)/(mean(Mz)*T)^2);

%Position:
N_ind = sqrt(sum((eta_LF_surge-Nfilt).^2)/sum(Nfilt.^2));
E_ind = sqrt(sum((eta_LF_sway-Efilt).^2)/sum(Efilt.^2));
psi_ind = sqrt(sum((eta_LF_yaw-psiFilt).^2)/sum(psiFilt.^2));

%Velocity:
nu1_ind = sqrt(sum((nu_LF_surge-velLocFilt(:,1)).^2)/sum(velLocFilt(:).^2));
nu2_ind = sqrt(sum((nu_LF_sway-velLocFilt(:,2)).^2)/sum(velLocFilt(:).^2));
nu3_ind = sqrt(sum((nu_LF_yaw-velLocFilt(:,3)).^2)/sum(velLocFilt(:).^2));

%Sum and display values: 
ind = b1_ind+b2_ind+b3_ind+nu1_ind+nu2_ind+nu3_ind+N_ind+E_ind+psi_ind;
fprintf('%g b1:%g b2:%g b3:%g u:%g v:%g r:%g N:%g E:%g psi:%g\n',ind,b1_ind,b2_ind,b3_ind,nu1_ind,nu2_ind,nu3_ind,N_ind,E_ind,psi_ind);